curl --request GET \
--url https://api.kameleoon.com/feature-flags/{siteCode}/{featureKey}{
"featureKey": "<string>",
"id": 123,
"name": "<string>",
"siteCode": "<string>",
"archived": true,
"attributionWindow": 123,
"bucketingKey": {
"bucketingKeyType": "VISITOR_CODE",
"customDataId": 123
},
"createdById": 123,
"dateContentModified": "2023-11-07T05:31:56Z",
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"description": "<string>",
"environmentConfigurations": [
{
"dateModified": "2023-11-07T05:31:56Z",
"defaultVariationKey": "<string>",
"environmentKey": "<string>",
"featureEnabled": true,
"integrations": {
"deliveryRules": "<array>",
"experimentRules": "<array>"
},
"rolloutRules": [
{
"type": "TARGETED_DELIVERY",
"experimentId": 123,
"id": 123,
"name": "<string>",
"release": {
"releaseFrom": "2025-06-01T00:00:00Z",
"releaseTo": "2025-06-01T23:59:00Z",
"timeZone": "Europe/Paris"
},
"rollbackConditions": [
{
"comparisonOperator": "GREATER_THAN",
"criteria": "UPLIFT",
"goalId": 123,
"id": 123,
"matchValue": 50,
"recipients": [
"<string>"
],
"target": "RULE",
"visitors": 1000
}
],
"segmentId": 123,
"status": "ACTIVE",
"trafficAllocations": [
{
"exposition": 123,
"variationId": 123,
"variationKey": "<string>"
}
],
"controlVariationKey": "<string>",
"exposition": 50,
"multiArmedBandit": true,
"trafficAllocationMethod": "CONTEXTUAL_BANDIT"
}
]
}
],
"health": "PERMANENT",
"primaryGoalId": 123,
"secondaryGoalIds": [
123
],
"tags": [
"<string>"
],
"teamId": 123,
"variables": [
{
"key": "<string>",
"type": "BOOLEAN",
"value": "<string>"
}
],
"variations": [
{
"key": "<string>",
"name": "<string>",
"variables": [
{
"key": "<string>",
"type": "BOOLEAN",
"value": "<string>"
}
]
}
]
}Get a feature flag configuration belonging to the given site code and feature key. To use optionalFields check out this guide.
curl --request GET \
--url https://api.kameleoon.com/feature-flags/{siteCode}/{featureKey}{
"featureKey": "<string>",
"id": 123,
"name": "<string>",
"siteCode": "<string>",
"archived": true,
"attributionWindow": 123,
"bucketingKey": {
"bucketingKeyType": "VISITOR_CODE",
"customDataId": 123
},
"createdById": 123,
"dateContentModified": "2023-11-07T05:31:56Z",
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"description": "<string>",
"environmentConfigurations": [
{
"dateModified": "2023-11-07T05:31:56Z",
"defaultVariationKey": "<string>",
"environmentKey": "<string>",
"featureEnabled": true,
"integrations": {
"deliveryRules": "<array>",
"experimentRules": "<array>"
},
"rolloutRules": [
{
"type": "TARGETED_DELIVERY",
"experimentId": 123,
"id": 123,
"name": "<string>",
"release": {
"releaseFrom": "2025-06-01T00:00:00Z",
"releaseTo": "2025-06-01T23:59:00Z",
"timeZone": "Europe/Paris"
},
"rollbackConditions": [
{
"comparisonOperator": "GREATER_THAN",
"criteria": "UPLIFT",
"goalId": 123,
"id": 123,
"matchValue": 50,
"recipients": [
"<string>"
],
"target": "RULE",
"visitors": 1000
}
],
"segmentId": 123,
"status": "ACTIVE",
"trafficAllocations": [
{
"exposition": 123,
"variationId": 123,
"variationKey": "<string>"
}
],
"controlVariationKey": "<string>",
"exposition": 50,
"multiArmedBandit": true,
"trafficAllocationMethod": "CONTEXTUAL_BANDIT"
}
]
}
],
"health": "PERMANENT",
"primaryGoalId": 123,
"secondaryGoalIds": [
123
],
"tags": [
"<string>"
],
"teamId": 123,
"variables": [
{
"key": "<string>",
"type": "BOOLEAN",
"value": "<string>"
}
],
"variations": [
{
"key": "<string>",
"name": "<string>",
"variables": [
{
"key": "<string>",
"type": "BOOLEAN",
"value": "<string>"
}
]
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
Use this file to discover all available pages before exploring further.
OK
Configuration for the feature flag
Key used to identify the feature flag
1 - 255System-generated unique string of integers to identify a feature flag
Name of the feature flag
1 - 100Unique Id for the project in the Kameleoon app. This is an optional field to be included as query parameters
1 - 10Attribution window
Bucketing key used for the feature flag
Show child attributes
Created by id
Date and time when the feature flag configuration content was last modified
Date and time when the feature flag configuration was created
Date and time when the feature flag configuration was last modified
Description of the feature
5000Environment-specific configurations for the feature flag
Show child attributes
Health of the feature flag (for temporary ones)
PERMANENT, HEALTHY, STALE, SMELLY Primary goal of the feature flag
Secondary goals associated with the feature flag
List of tags associated with the feature flag. This is an optional field to be included as query parameters
Team id
Variables associated with the feature flag
Show child attributes
Variations associated with the feature flag
Show child attributes
Was this page helpful?